#include <bits/stdc++.h>
using namespace std;

int main() {
    for (int t = 1; ; ++t) {
        system("./maker");
        system("./1");
        system("./brute");
        if (system("diff -b 1.out brute.out")) break;
        cerr << "t = " << t << "\n";
    }
    return 0;
}